Getting an error while installing via Blloc desk

I am getting this error while installing, I have attached the screenshot for reference. My device is a Nokia 7.2

I’m having a problem like this as well

What is the android version of your phone?

Im android 8.0 and i cannot install the apk

Ratio needs Android 8.1 and above to work.

Using Android version 10 here

Go to members.blloc.com and reset your code. Then try installing again .